EZ_SetTimerClientData(3)

NAME
EZ_SetTimerClientData, EZ_SetTimerIntData, EZ_SetTimerPtrData - store client data stored in a timer

SYNOPSIS
#include <EZ.h>

void  EZ_SetTimerIntData(EZ_Timer *timer, int idata)

void  EZ_SetTimerPtrData(EZ_Timer *timer, void *pdata)

void  EZ_SetTimerCilentData(EZ_Timer *timer,
             int idata, void *pdata)

ARGUMENTS
timer Specifies a timer.

idata Specifies an integer to be stored in timer.

pdata Specifies a pointer to be stored in timer.

DESCRIPTION

The EZ_Timer data structure provides two slots for applications to store client data. One if of type int and the other is of type void *. These functions store client data in a time.

EZ_SetimerIntData stores an integer in timer.

EZ_SetimerPtrData stores a pointer in timer.

EZ_SetimerClientData stores both the integer and the pointer data in timer.

SEE ALSO
EZ_CreateTimer(3), EZ_GetTimerState(3), EZ_GetTimerClientData(3), EZ_SetTimerCallBack(3)